Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_PageLayout.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 23070)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_PageLayout.php	(revision 23124)
@@ -23,5 +23,6 @@
 
 /**
- * Webページのレイアウト情報を制御するヘルパークラス.
+ * Webãã¼ã¸ã®ã¬ã¤ã¢ã¦ãæ
+å ±ãå¶å¾¡ãããã«ãã¼ã¯ã©ã¹.
  *
  * @package Helper
@@ -32,24 +33,29 @@
 {
     /**
-     * ページのレイアウト情報を取得し, 設定する.
-     *
-     * 現在の URL に応じたページのレイアウト情報を取得し, LC_Page インスタンスに
-     * 設定する.
-     *
-     * @access public
-     * @param LC_Page $objPage LC_Page インスタンス
-     * @param boolean $preview プレビュー表示の場合 true
-     * @param string $url ページのURL($_SERVER['SCRIPT_NAME'] の情報)
-     * @param integer $device_type_id 端末種別ID
+     * ãã¼ã¸ã®ã¬ã¤ã¢ã¦ãæ
+å ±ãåå¾ã, è¨­å®ãã.
+     *
+     * ç¾å¨ã® URL ã«å¿ãããã¼ã¸ã®ã¬ã¤ã¢ã¦ãæ
+å ±ãåå¾ã, LC_Page ã¤ã³ã¹ã¿ã³ã¹ã«
+     * è¨­å®ãã.
+     *
+     * @access public
+     * @param  LC_Page $objPage        LC_Page ã¤ã³ã¹ã¿ã³ã¹
+     * @param  boolean $preview        ãã¬ãã¥ã¼è¡¨ç¤ºã®å ´å true
+     * @param  string  $url            ãã¼ã¸ã®URL($_SERVER['SCRIPT_NAME'] ã®æ
+å ±)
+     * @param  integer $device_type_id ç«¯æ«ç¨®å¥ID
      * @return void
      */
-    function sfGetPageLayout(&$objPage, $preview = false, $url = '', $device_type_id = DEVICE_TYPE_PC)
-    {
-        // URLを元にページ情報を取得
+    public function sfGetPageLayout(&$objPage, $preview = false, $url = '', $device_type_id = DEVICE_TYPE_PC)
+    {
+        // URLãå
+ã«ãã¼ã¸æ
+å ±ãåå¾
         if ($preview === false) {
             $url = preg_replace('|^' . preg_quote(ROOT_URLPATH) . '|', '', $url);
             $arrPageData = $this->getPageProperties($device_type_id, null, 'url = ?', array($url));
         }
-        // プレビューの場合は, プレビュー用のデータを取得
+        // ãã¬ãã¥ã¼ã®å ´åã¯, ãã¬ãã¥ã¼ç¨ã®ãã¼ã¿ãåå¾
         else {
             $arrPageData = $this->getPageProperties($device_type_id, 0);
@@ -57,5 +63,6 @@
 
         if (empty($arrPageData[0])) {
-            trigger_error('ページ情報を取得できませんでした。', E_USER_ERROR);
+            trigger_error('ãã¼ã¸æ
+å ±ãåå¾ã§ãã¾ããã§ããã', E_USER_ERROR);
         }
 
@@ -63,5 +70,5 @@
 
         if (!file_exists($objPage->tpl_mainpage)) {
-            $msg = 'メイン部のテンプレートが存在しません。[' . $objPage->tpl_mainpage . ']';
+            $msg = 'ã¡ã¤ã³é¨ã®ãã³ãã¬ã¼ããå­å¨ãã¾ããã[' . $objPage->tpl_mainpage . ']';
             trigger_error($msg, E_USER_ERROR);
         }
@@ -73,17 +80,19 @@
         }
 
-        // ページタイトルを設定
+        // ãã¼ã¸ã¿ã¤ãã«ãè¨­å®
         if (SC_Utils_Ex::isBlank($objPage->tpl_title)) {
             $objPage->tpl_title = $objPage->arrPageLayout['page_name'];
         }
 
-        // 該当ページのブロックを取得し, 配置する
+        // è©²å½ãã¼ã¸ã®ãã­ãã¯ãåå¾ã, é
+ç½®ãã
         $masterData = new SC_DB_MasterData_Ex();
         $arrTarget = $masterData->getMasterData('mtb_target');
         $arrBlocs = $this->getBlocPositions($device_type_id, $objPage->arrPageLayout['page_id']);
-        // 無効なプラグインのブロックを取り除く.
+        // ç¡å¹ãªãã©ã°ã¤ã³ã®ãã­ãã¯ãåãé¤ã.
         $objPlugin = SC_Helper_Plugin_Ex::getSingletonInstance();
         $arrBlocs = $objPlugin->getEnableBlocs($arrBlocs);
-        // php_path, tpl_path が存在するものを, 各ターゲットに配置
+        // php_path, tpl_path ãå­å¨ãããã®ã, åã¿ã¼ã²ããã«é
+ç½®
         foreach ($arrTarget as $target_id => $value) {
             foreach ($arrBlocs as $arrBloc) {
@@ -95,5 +104,5 @@
                     $objPage->arrPageLayout[$arrTarget[$target_id]][] = $arrBloc;
                 } else {
-                    $error = "ブロックが見つかりません\n"
+                    $error = "ãã­ãã¯ãè¦ã¤ããã¾ãã\n"
                         . 'tpl_path: ' . $arrBloc['tpl_path'] . "\n"
                         . 'php_path: ' . $arrBloc['php_path'];
@@ -102,23 +111,26 @@
             }
         }
-        // カラム数を取得する
+        // ã«ã©ã æ°ãåå¾ãã
         $objPage->tpl_column_num = $this->getColumnNum($objPage->arrPageLayout);
     }
 
     /**
-     * ページの属性を取得する.
-     *
-     * この関数は, dtb_pagelayout の情報を検索する.
-     * $device_type_id は必須. デフォルト値は DEVICE_TYPE_PC.
-     * $page_id が null の場合は, $page_id が 0 以外のものを検索する.
-     *
-     * @access public
-     * @param integer $device_type_id 端末種別ID
-     * @param integer $page_id ページID; null の場合は, 0 以外を検索する.
-     * @param string $where 追加の検索条件
-     * @param array $arrParams 追加の検索パラメーター
-     * @return array ページ属性の配列
-     */
-    function getPageProperties($device_type_id = DEVICE_TYPE_PC, $page_id = null, $where = '', $arrParams = array())
+     * ãã¼ã¸ã®å±æ§ãåå¾ãã.
+     *
+     * ãã®é¢æ°ã¯, dtb_pagelayout ã®æ
+å ±ãæ¤ç´¢ãã.
+     * $device_type_id ã¯å¿
+é . ããã©ã«ãå¤ã¯ DEVICE_TYPE_PC.
+     * $page_id ã null ã®å ´åã¯, $page_id ã 0 ä»¥å¤ã®ãã®ãæ¤ç´¢ãã.
+     *
+     * @access public
+     * @param  integer $device_type_id ç«¯æ«ç¨®å¥ID
+     * @param  integer $page_id        ãã¼ã¸ID; null ã®å ´åã¯, 0 ä»¥å¤ãæ¤ç´¢ãã.
+     * @param  string  $where          è¿½å ã®æ¤ç´¢æ¡ä»¶
+     * @param  array   $arrParams      è¿½å ã®æ¤ç´¢ãã©ã¡ã¼ã¿ã¼
+     * @return array   ãã¼ã¸å±æ§ã®é
+å
+     */
+    public function getPageProperties($device_type_id = DEVICE_TYPE_PC, $page_id = null, $where = '', $arrParams = array())
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -137,14 +149,17 @@
 
     /**
-     * ブロック情報を取得する.
-     *
-     * @access public
-     * @param integer $device_type_id 端末種別ID
-     * @param string $where 追加の検索条件
-     * @param array $arrParams 追加の検索パラメーター
-     * @param boolean $has_realpath php_path, tpl_path の絶対パスを含める場合 true
-     * @return array ブロック情報の配列
-     */
-    function getBlocs($device_type_id = DEVICE_TYPE_PC, $where = '', $arrParams = array(), $has_realpath = true)
+     * ãã­ãã¯æ
+å ±ãåå¾ãã.
+     *
+     * @access public
+     * @param  integer $device_type_id ç«¯æ«ç¨®å¥ID
+     * @param  string  $where          è¿½å ã®æ¤ç´¢æ¡ä»¶
+     * @param  array   $arrParams      è¿½å ã®æ¤ç´¢ãã©ã¡ã¼ã¿ã¼
+     * @param  boolean $has_realpath   php_path, tpl_path ã®çµ¶å¯¾ãã¹ãå«ããå ´å true
+     * @return array   ãã­ãã¯æ
+å ±ã®é
+å
+     */
+    public function getBlocs($device_type_id = DEVICE_TYPE_PC, $where = '', $arrParams = array(), $has_realpath = true)
     {
         $objBloc = new SC_Helper_Bloc_Ex($device_type_id);
@@ -158,13 +173,18 @@
 
     /**
-     * ブロック配置情報を取得する.
-     *
-     * @access public
-     * @param integer $device_type_id 端末種別ID
-     * @param integer $page_id ページID
-     * @param boolean $has_realpath php_path, tpl_path の絶対パスを含める場合 true
-     * @return array 配置情報を含めたブロックの配列
-     */
-    function getBlocPositions($device_type_id, $page_id, $has_realpath = true)
+     * ãã­ãã¯é
+ç½®æ
+å ±ãåå¾ãã.
+     *
+     * @access public
+     * @param  integer $device_type_id ç«¯æ«ç¨®å¥ID
+     * @param  integer $page_id        ãã¼ã¸ID
+     * @param  boolean $has_realpath   php_path, tpl_path ã®çµ¶å¯¾ãã¹ãå«ããå ´å true
+     * @return array   é
+ç½®æ
+å ±ãå«ãããã­ãã¯ã®é
+å
+     */
+    public function getBlocPositions($device_type_id, $page_id, $has_realpath = true)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -183,13 +203,14 @@
         }
 
-        //全ページ設定と各ページのブロックの重複を削除
+        //å
+¨ãã¼ã¸è¨­å®ã¨åãã¼ã¸ã®ãã­ãã¯ã®éè¤ãåé¤
         $arrUniqBlocIds = array();
         foreach ($arrBlocs as $index => $arrBloc) {
-            if ($arrBloc['anywhere'] == 1){
+            if ($arrBloc['anywhere'] == 1) {
                 $arrUniqBlocIds[] = $arrBloc['bloc_id'];
             }
         }
         foreach ($arrBlocs as $bloc_index => $arrBlocData) {
-            if (in_array($arrBlocData['bloc_id'], $arrUniqBlocIds) && $arrBlocData['anywhere'] == 0){
+            if (in_array($arrBlocData['bloc_id'], $arrUniqBlocIds) && $arrBlocData['anywhere'] == 0) {
                 unset($arrBlocs[$bloc_index]);
             }
@@ -200,21 +221,22 @@
 
     /**
-     * ページ情報を削除する.
-     *
-     * XXX ファイルを確実に削除したかどうかのチェック
-     *
-     * @access public
-     * @param integer $page_id ページID
-     * @param integer $device_type_id 端末種別ID
-     * @return integer 削除数
-     */
-    function lfDelPageData($page_id, $device_type_id = DEVICE_TYPE_PC)
+     * ãã¼ã¸æ
+å ±ãåé¤ãã.
+     *
+     * XXX ãã¡ã¤ã«ãç¢ºå®ã«åé¤ãããã©ããã®ãã§ãã¯
+     *
+     * @access public
+     * @param  integer $page_id        ãã¼ã¸ID
+     * @param  integer $device_type_id ç«¯æ«ç¨®å¥ID
+     * @return integer åé¤æ°
+     */
+    public function lfDelPageData($page_id, $device_type_id = DEVICE_TYPE_PC)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-        // page_id が空でない場合にはdeleteを実行
+        // page_id ãç©ºã§ãªãå ´åã«ã¯deleteãå®è¡
         if ($page_id != '') {
             $arrPageData = $this->getPageProperties($device_type_id, $page_id);
             $ret = $objQuery->delete('dtb_pagelayout', 'page_id = ? AND device_type_id = ?', array($page_id, $device_type_id));
-            // ファイルの削除
+            // ãã¡ã¤ã«ã®åé¤
             $this->lfDelFile($arrPageData[0]['filename'], $device_type_id);
         }
@@ -224,25 +246,27 @@
 
     /**
-     * ページのファイルを削除する.
-     *
-     * dtb_pagelayout の削除後に呼び出すこと。
+     * ãã¼ã¸ã®ãã¡ã¤ã«ãåé¤ãã.
+     *
+     * dtb_pagelayout ã®åé¤å¾ã«å¼ã³åºããã¨ã
      *
      * @access private
-     * @param string $filename
-     * @param integer $device_type_id 端末種別ID
-     * @return void // TODO boolean にするべき?
-     */
-    function lfDelFile($filename, $device_type_id)
+     * @param  string  $filename
+     * @param  integer $device_type_id ç«¯æ«ç¨®å¥ID
+     * @return void    // TODO boolean ã«ããã¹ã?
+     */
+    public function lfDelFile($filename, $device_type_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
         /*
-         * 同名ファイルの使用件数
-         * PHP ファイルは, 複数のデバイスで共有するため, device_type_id を条件に入れない
+         * ååãã¡ã¤ã«ã®ä½¿ç¨ä»¶æ°
+         * PHP ãã¡ã¤ã«ã¯, è¤æ°ã®ããã¤ã¹ã§å
+±æãããã, device_type_id ãæ¡ä»¶ã«å
+¥ããªã
          */
         $exists = $objQuery->exists('dtb_pagelayout', 'filename = ?', array($filename));
 
         if (!$exists) {
-            // phpファイルの削除
+            // phpãã¡ã¤ã«ã®åé¤
             $del_php = HTML_REALDIR . $filename . '.php';
             if (file_exists($del_php)) {
@@ -251,5 +275,5 @@
         }
 
-        // tplファイルの削除
+        // tplãã¡ã¤ã«ã®åé¤
         $del_tpl = $this->getTemplatePath($device_type_id) . $filename . '.tpl';
         if (file_exists($del_tpl)) {
@@ -259,12 +283,12 @@
 
     /**
-     * 編集可能ページかどうか.
-     *
-     * @access public
-     * @param integer $device_type_id 端末種別ID
-     * @param integer $page_id ページID
-     * @return 編集可能ページの場合 true
-     */
-    function isEditablePage($device_type_id, $page_id)
+     * ç·¨éå¯è½ãã¼ã¸ãã©ãã.
+     *
+     * @access public
+     * @param  integer                   $device_type_id ç«¯æ«ç¨®å¥ID
+     * @param  integer                   $page_id        ãã¼ã¸ID
+     * @return ç·¨éå¯è½ãã¼ã¸ã®å ´å true
+     */
+    public function isEditablePage($device_type_id, $page_id)
     {
         if ($page_id == 0) {
@@ -280,12 +304,12 @@
 
     /**
-     * テンプレートのパスを取得する.
-     *
-     * @access public
-     * @param integer $device_type_id 端末種別ID
-     * @param boolean $isUser USER_REALDIR 以下のパスを返す場合 true
-     * @return string テンプレートのパス
-     */
-    function getTemplatePath($device_type_id = DEVICE_TYPE_PC, $isUser = false)
+     * ãã³ãã¬ã¼ãã®ãã¹ãåå¾ãã.
+     *
+     * @access public
+     * @param  integer $device_type_id ç«¯æ«ç¨®å¥ID
+     * @param  boolean $isUser         USER_REALDIR ä»¥ä¸ã®ãã¹ãè¿ãå ´å true
+     * @return string  ãã³ãã¬ã¼ãã®ãã¹
+     */
+    public function getTemplatePath($device_type_id = DEVICE_TYPE_PC, $isUser = false)
     {
         $templateName = '';
@@ -316,15 +340,15 @@
 
     /**
-     * DocumentRoot から user_data のパスを取得する.
-     *
-     * 引数 $hasPackage を true にした場合は, user_data/packages/template_name
-     * を取得する.
-     *
-     * @access public
-     * @param integer $device_type_id 端末種別ID
-     * @param boolean $hasPackage パッケージのパスも含める場合 true
-     * @return string 端末に応じた DocumentRoot から user_data までのパス
-     */
-    function getUserDir($device_type_id = DEVICE_TYPE_PC, $hasPackage = false)
+     * DocumentRoot ãã user_data ã®ãã¹ãåå¾ãã.
+     *
+     * å¼æ° $hasPackage ã true ã«ããå ´åã¯, user_data/packages/template_name
+     * ãåå¾ãã.
+     *
+     * @access public
+     * @param  integer $device_type_id ç«¯æ«ç¨®å¥ID
+     * @param  boolean $hasPackage     ããã±ã¼ã¸ã®ãã¹ãå«ããå ´å true
+     * @return string  ç«¯æ«ã«å¿ãã DocumentRoot ãã user_data ã¾ã§ã®ãã¹
+     */
+    public function getUserDir($device_type_id = DEVICE_TYPE_PC, $hasPackage = false)
     {
         switch ($device_type_id) {
@@ -350,12 +374,13 @@
 
     /**
-     * ブロックの php_path, tpl_path を設定する.
+     * ãã­ãã¯ã® php_path, tpl_path ãè¨­å®ãã.
      *
      * @access private
-     * @param integer $device_type_id 端末種別ID
-     * @param array $arrBlocs 設定するブロックの配列
+     * @param  integer $device_type_id ç«¯æ«ç¨®å¥ID
+     * @param  array   $arrBlocs       è¨­å®ãããã­ãã¯ã®é
+å
      * @return void
      */
-    function setBlocPathTo($device_type_id = DEVICE_TYPE_PC, &$arrBlocs = array())
+    public function setBlocPathTo($device_type_id = DEVICE_TYPE_PC, &$arrBlocs = array())
     {
         foreach ($arrBlocs as $key => $value) {
@@ -368,13 +393,15 @@
 
     /**
-     * カラム数を取得する.
+     * ã«ã©ã æ°ãåå¾ãã.
      *
      * @access private
-     * @param array $arrPageLayout レイアウト情報の配列
-     * @return integer $col_num カラム数
-     */
-    function getColumnNum($arrPageLayout)
-    {
-        // メインは確定
+     * @param  array   $arrPageLayout ã¬ã¤ã¢ã¦ãæ
+å ±ã®é
+å
+     * @return integer $col_num ã«ã©ã æ°
+     */
+    public function getColumnNum($arrPageLayout)
+    {
+        // ã¡ã¤ã³ã¯ç¢ºå®
         $col_num = 1;
         // LEFT NAVI
@@ -382,5 +409,4 @@
         // RIGHT NAVI
         if (count($arrPageLayout['RightNavi']) > 0) $col_num++;
-
         return $col_num;
     }
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_FileManager.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_FileManager.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_FileManager.php	(revision 23124)
@@ -34,8 +34,8 @@
      * 指定パス配下のディレクトリ取得する.
      *
-     * @param string $dir 取得するディレクトリパス
+     * @param  string $dir 取得するディレクトリパス
      * @return void
      */
-    function sfGetFileList($dir)
+    public function sfGetFileList($dir)
     {
         $arrFileList = array();
@@ -88,8 +88,8 @@
      * 指定したディレクトリのバイト数を取得する.
      *
-     * @param string $dir ディレクトリ
+     * @param  string $dir ディレクトリ
      * @return void
      */
-    function sfGetDirSize($dir)
+    public function sfGetDirSize($dir)
     {
         $bytes = 0;
@@ -104,5 +104,5 @@
                     if ($file != '..' && $file != '.' && !is_dir($path)) {
                         $bytes += filesize($path);
-                    } else if (is_dir($path) && $file != '..' && $file != '.') {
+                    } elseif (is_dir($path) && $file != '..' && $file != '.') {
                         // 下層ファイルのバイト数を取得する為、再帰的に呼び出す。
                         $bytes += SC_Helper_FileManager::sfGetDirSize($path);
@@ -125,10 +125,10 @@
      * ツリー生成用配列取得(javascriptに渡す用).
      *
-     * @param string $dir ディレクトリ
+     * @param string $dir         ディレクトリ
      * @param string $tree_status 現在のツリーの状態開いているフォルダのパスを
      *                            | 区切りで格納
      * @return array ツリー生成用の配列
      */
-    function sfGetFileTree($dir, $tree_status)
+    public function sfGetFileTree($dir, $tree_status)
     {
         $cnt = 0;
@@ -163,13 +163,13 @@
      * ツリー生成用配列取得(javascriptに渡す用).
      *
-     * @param string $dir ディレクトリ
+     * @param string $dir          ディレクトリ
      * @param string $default_rank デフォルトの階層
      *                             (/区切りで　0,1,2・・・とカウント)
-     * @param integer $cnt 連番
-     * @param string $tree_status 現在のツリーの状態開いているフォルダのパスが
+     * @param integer $cnt         連番
+     * @param string  $tree_status 現在のツリーの状態開いているフォルダのパスが
      *                            | 区切りで格納
      * @return array ツリー生成用の配列
      */
-    function sfGetFileTreeSub($dir, $default_rank, &$cnt, &$arrTree, $tree_status)
+    public function sfGetFileTreeSub($dir, $default_rank, &$cnt, &$arrTree, $tree_status)
     {
         if (file_exists($dir)) {
@@ -218,5 +218,5 @@
      * @return bool ファイルが存在する場合 true
      */
-    function sfDirChildExists($dir)
+    public function sfDirChildExists($dir)
     {
         if (file_exists($dir)) {
@@ -240,10 +240,10 @@
      * 指定したファイルが前回開かれた状態にあったかチェックする.
      *
-     * @param string $dir ディレクトリ
+     * @param string $dir         ディレクトリ
      * @param string $tree_status 現在のツリーの状態開いているフォルダのパスが
      *                            | 区切りで格納
      * @return bool 前回開かれた状態の場合 true
      */
-    function lfIsFileOpen($dir, $tree_status)
+    public function lfIsFileOpen($dir, $tree_status)
     {
         $arrTreeStatus = explode('|', $tree_status);
@@ -258,8 +258,8 @@
      * ファイルのダウンロードを行う.
      *
-     * @param string $file ファイルパス
+     * @param  string $file ファイルパス
      * @return void
      */
-    function sfDownloadFile($file)
+    public function sfDownloadFile($file)
     {
         // ファイルの場合はダウンロードさせる
@@ -274,9 +274,9 @@
      * ファイル作成を行う.
      *
-     * @param string $file ファイルパス
-     * @param integer $mode パーミッション
-     * @return bool ファイル作成に成功した場合 true
-     */
-    function sfCreateFile($file, $mode = '')
+     * @param  string  $file ファイルパス
+     * @param  integer $mode パーミッション
+     * @return bool    ファイル作成に成功した場合 true
+     */
+    public function sfCreateFile($file, $mode = '')
     {
         // 行末の/を取り除く
@@ -296,5 +296,5 @@
      * @return string ファイルの内容
      */
-    function sfReadFile($filename)
+    public function sfReadFile($filename)
     {
         $str = '';
@@ -313,9 +313,9 @@
      * ファイル書込を行う.
      *
-     * @param string $filename ファイルパス
-     * @param string $value 書き込み内容
+     * @param  string  $filename ファイルパス
+     * @param  string  $value    書き込み内容
      * @return boolean ファイルの書き込みに成功した場合 true
      */
-    function sfWriteFile($filename, $value)
+    public function sfWriteFile($filename, $value)
     {
         if (!is_dir(dirname($filename))) {
@@ -336,9 +336,9 @@
      * ユーザが作成したファイルをアーカイブしダウンロードさせる
      * TODO 要リファクタリング
-     * @param string $dir アーカイブを行なうディレクトリ
-     * @param string $template_code テンプレートコード
+     * @param  string  $dir           アーカイブを行なうディレクトリ
+     * @param  string  $template_code テンプレートコード
      * @return boolean 成功した場合 true; 失敗した場合 false
      */
-    function downloadArchiveFiles($dir, $template_code)
+    public function downloadArchiveFiles($dir, $template_code)
     {
         // ダウンロードされるファイル名
@@ -367,4 +367,5 @@
             readfile($dlFileName);
             unlink($dir . '/' . $dlFileName);
+
             return true;
         } else {
@@ -376,8 +377,8 @@
      * tarアーカイブを解凍する.
      *
-     * @param string $path アーカイブパス
+     * @param  string  $path アーカイブパス
      * @return boolean Archive_Tar::extractModify()のエラー
      */
-    function unpackFile($path)
+    public function unpackFile($path)
     {
         // 圧縮フラグTRUEはgzip解凍をおこなう
@@ -405,9 +406,9 @@
      * 指定されたパスの配下を再帰的に削除.
      *
-     * @param string  $path       削除対象のディレクトリまたはファイルのパス
-     * @param boolean $del_myself $pathそのものを削除するか. true なら削除する.
+     * @param  string  $path       削除対象のディレクトリまたはファイルのパス
+     * @param  boolean $del_myself $pathそのものを削除するか. true なら削除する.
      * @return void
      */
-    function deleteFile($path, $del_myself = true)
+    public function deleteFile($path, $del_myself = true)
     {
         $flg = false;
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_Transform.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_Transform.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_Transform.php	(revision 23124)
@@ -47,5 +47,5 @@
      * SmartyのHTMLソースをDOMに変換しておく
      *
-     * @param string $source 変形対象のテンプレート
+     * @param  string $source 変形対象のテンプレート
      * @return void
      */
@@ -115,6 +115,5 @@
         } elseif (preg_match('/^.*?<body[^>]*>.+<\/body>.*$/is', $source)) {
             $source = '<meta http-equiv="content-type" content="text/html; charset=UTF-8" /><html><!--TemplateTransformer start-->'.$source.'<!--TemplateTransformer end--></html>';
-        }
-        else {
+        } else {
             $source = '<meta http-equiv="content-type" content="text/html; charset=UTF-8" /><html><body><!--TemplateTransformer start-->'.$source.'<!--TemplateTransformer end--></body></html>';
         }
@@ -127,8 +126,8 @@
      * jQueryライクなセレクタを用いてエレメントを選択する
      *
-     * @param string  $selector      セレクタ
-     * @param integer $index         インデックス（指定がある場合）
-     * @param boolean $require       エレメントが見つからなかった場合、エラーとするか
-     * @param string  $err_msg       エラーメッセージ
+     * @param  string                                $selector セレクタ
+     * @param  integer                               $index    インデックス（指定がある場合）
+     * @param  boolean                               $require  エレメントが見つからなかった場合、エラーとするか
+     * @param  string                                $err_msg  エラーメッセージ
      * @return SC_Helper_Transformオブジェクト
      */
@@ -167,8 +166,8 @@
      * jQueryライクなセレクタを用いて、選択したエレメント内をさらに絞り込む
      *
-     * @param string  $selector      セレクタ
-     * @param integer $index         インデックス（指定がある場合）
-     * @param boolean $require       エレメントが見つからなかった場合、エラーとするか
-     * @param string  $err_msg       エラーメッセージ
+     * @param  string                                $selector セレクタ
+     * @param  integer                               $index    インデックス（指定がある場合）
+     * @param  boolean                               $require  エレメントが見つからなかった場合、エラーとするか
+     * @param  string                                $err_msg  エラーメッセージ
      * @return SC_Helper_Transformオブジェクト
      */
@@ -210,5 +209,5 @@
      * 選択状態を指定数戻す
      *
-     * @param int $back_num 選択状態を戻す数
+     * @param  int                                   $back_num 選択状態を戻す数
      * @return SC_Helper_Transformオブジェクト
      */
@@ -227,5 +226,5 @@
      * 要素の前にHTMLを挿入
      *
-     * @param string $html_snip 挿入するHTMLの断片
+     * @param  string                                $html_snip 挿入するHTMLの断片
      * @return SC_Helper_Transformオブジェクト
      */
@@ -244,5 +243,5 @@
      * 要素の後にHTMLを挿入
      *
-     * @param string $html_snip 挿入するHTMLの断片
+     * @param  string                                $html_snip 挿入するHTMLの断片
      * @return SC_Helper_Transformオブジェクト
      */
@@ -261,5 +260,5 @@
      * 要素の先頭にHTMLを挿入
      *
-     * @param string $html_snip 挿入するHTMLの断片
+     * @param  string                                $html_snip 挿入するHTMLの断片
      * @return SC_Helper_Transformオブジェクト
      */
@@ -278,5 +277,5 @@
      * 要素の末尾にHTMLを挿入
      *
-     * @param string $html_snip 挿入するHTMLの断片
+     * @param  string                                $html_snip 挿入するHTMLの断片
      * @return SC_Helper_Transformオブジェクト
      */
@@ -295,5 +294,5 @@
      * 要素を指定したHTMLに置換
      *
-     * @param string $html_snip 置換後のHTMLの断片
+     * @param  string                                $html_snip 置換後のHTMLの断片
      * @return SC_Helper_Transformオブジェクト
      */
@@ -361,4 +360,5 @@
             $html = $this->header_source.$html.$this->footer_source;
             $html = str_replace($this->arrSmartyTagsSub, $this->arrSmartyTagsOrg, $html);
+
             return $html;
         } else {
@@ -372,5 +372,5 @@
      * コメント形式への置換
      *
-     * @param array $arrMatches マッチしたタグの情報
+     * @param  array  $arrMatches マッチしたタグの情報
      * @return string 代わりの文字列
      */
@@ -390,5 +390,5 @@
      * コメント形式への置換
      *
-     * @param array $arrMatches マッチしたタグの情報
+     * @param  array  $arrMatches マッチしたタグの情報
      * @return string 代わりの文字列
      */
@@ -413,5 +413,5 @@
      * HTMLエレメント内部の処理
      *
-     * @param array $arrMatches マッチしたタグの情報
+     * @param  array  $arrMatches マッチしたタグの情報
      * @return string 代わりの文字列
      */
@@ -431,5 +431,5 @@
      * ダミーへの置換実行
      *
-     * @param array $arrMatches マッチしたタグの情報
+     * @param  array  $arrMatches マッチしたタグの情報
      * @return string 代わりの文字列
      */
@@ -449,5 +449,5 @@
      * クォート内（＝属性値）内にあるSmartyタグ（ダミーに置換済み）を、テキストに置換
      *
-     * @param array $arrMatches マッチしたタグの情報
+     * @param  array  $arrMatches マッチしたタグの情報
      * @return string 代わりの文字列
      */
@@ -468,10 +468,10 @@
      * テキストへの置換実行
      *
-     * @param array $arrMatches マッチしたタグの情報
+     * @param  array  $arrMatches マッチしたタグの情報
      * @return string 代わりの文字列
      */
     protected function lfCaptureSmartyTags2Value(array $arrMatches)
     {
-        $tag_idx = (int)$arrMatches[1];
+        $tag_idx = (int) $arrMatches[1];
         $substitute_tag = sprintf('###%08d###', $tag_idx);
         $this->arrSmartyTagsSub[$tag_idx] = $substitute_tag;
@@ -485,10 +485,10 @@
      * エレメント内部にあって、属性値ではないものを、ダミーの属性として置換
      *
-     * @param array $arrMatches マッチしたタグの情報
+     * @param  array  $arrMatches マッチしたタグの情報
      * @return string 代わりの文字列
      */
     protected function lfCaptureSmartyTags2Attr(array $arrMatches)
     {
-        $tag_idx = (int)$arrMatches[1];
+        $tag_idx = (int) $arrMatches[1];
         $substitute_tag = sprintf('rel%08d="######"', $tag_idx);
         $this->arrSmartyTagsSub[$tag_idx] = $substitute_tag;
@@ -535,6 +535,6 @@
      * セレクタ文字列をツリー検索用の正規表現に変換する
      *
-     * @param string $selector      セレクタ
-     * @param string $parent_index  セレクタ検索時の親要素の位置（子孫要素検索のため）
+     * @param  string $selector     セレクタ
+     * @param  string $parent_index セレクタ検索時の親要素の位置（子孫要素検索のため）
      * @return string 正規表現文字列
      */
@@ -570,6 +570,6 @@
      * 見つかった要素をプロパティに登録
      *
-     * @param integer $elementNo  エレメントのインデックス
-     * @param array   $arrElement インデックスとDOMオブジェクトをペアとした配列
+     * @param  integer $elementNo  エレメントのインデックス
+     * @param  array   $arrElement インデックスとDOMオブジェクトをペアとした配列
      * @return void
      */
@@ -586,7 +586,7 @@
      * DOMを用いた変形を実行する
      *
-     * @param string $mode       実行するメソッドの種類
-     * @param string $target_key 対象のエレメントの完全なセレクタ
-     * @param string $html_snip  HTMLコード
+     * @param  string  $mode       実行するメソッドの種類
+     * @param  string  $target_key 対象のエレメントの完全なセレクタ
+     * @param  string  $html_snip  HTMLコード
      * @return boolean
      */
@@ -640,6 +640,5 @@
             }
             $this->snip_count++;
-        }
-        catch (Exception $e) {
+        } catch (Exception $e) {
             SC_Utils_Ex::sfDispSiteError(FREE_ERROR_MSG, '', true, 'テンプレートの操作に失敗しました。');
         }
@@ -651,7 +650,7 @@
      * セレクタエラーを記録する
      *
-     * @param string  $selector    セレクタ
-     * @param integer $type        エラーの種類
-     * @param string  $err_msg     エラーメッセージ
+     * @param  string  $selector セレクタ
+     * @param  integer $type     エラーの種類
+     * @param  string  $err_msg  エラーメッセージ
      * @return void
      */
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_News.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_News.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_News.php	(revision 23124)
@@ -34,9 +34,9 @@
      * ニュースの情報を取得.
      *
-     * @param integer $news_id ニュースID
-     * @param boolean $has_deleted 削除されたニュースも含む場合 true; 初期値 false
+     * @param  integer $news_id     ニュースID
+     * @param  boolean $has_deleted 削除されたニュースも含む場合 true; 初期値 false
      * @return array
      */
-    static public function getNews($news_id, $has_deleted = false)
+    public static function getNews($news_id, $has_deleted = false)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -54,7 +54,7 @@
      * ニュース一覧の取得.
      *
-     * @param integer $dispNumber 表示件数
-     * @param integer $pageNumber ページ番号
-     * @param boolean $has_deleted 削除されたニュースも含む場合 true; 初期値 false
+     * @param  integer $dispNumber  表示件数
+     * @param  integer $pageNumber  ページ番号
+     * @param  boolean $has_deleted 削除されたニュースも含む場合 true; 初期値 false
      * @return array
      */
@@ -84,5 +84,5 @@
      * ニュースの登録.
      *
-     * @param array $sqlval
+     * @param  array    $sqlval
      * @return multiple 登録成功:ニュースID, 失敗:FALSE
      */
@@ -114,5 +114,5 @@
      * ニュースの削除.
      *
-     * @param integer $news_id ニュースID
+     * @param  integer $news_id ニュースID
      * @return void
      */
@@ -127,5 +127,5 @@
      * ニュースの表示順をひとつ上げる.
      *
-     * @param integer $news_id ニュースID
+     * @param  integer $news_id ニュースID
      * @return void
      */
@@ -139,5 +139,5 @@
      * ニュースの表示順をひとつ下げる.
      *
-     * @param integer $news_id ニュースID
+     * @param  integer $news_id ニュースID
      * @return void
      */
@@ -151,6 +151,6 @@
      * ニュースの表示順を指定する.
      *
-     * @param integer $news_id ニュースID
-     * @param integer $rank 移動先の表示順
+     * @param  integer $news_id ニュースID
+     * @param  integer $rank    移動先の表示順
      * @return void
      */
@@ -164,5 +164,5 @@
      * ニュース記事数を計算.
      *
-     * @param boolean $has_deleted 削除されたニュースも含む場合 true; 初期値 false
+     * @param  boolean $has_deleted 削除されたニュースも含む場合 true; 初期値 false
      * @return integer ニュース記事数
      */
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_Payment.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_Payment.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_Payment.php	(revision 23124)
@@ -34,6 +34,6 @@
      * 支払方法の情報を取得.
      *
-     * @param integer $payment_id 支払方法ID
-     * @param boolean $has_deleted 削除された支払方法も含む場合 true; 初期値 false
+     * @param  integer $payment_id  支払方法ID
+     * @param  boolean $has_deleted 削除された支払方法も含む場合 true; 初期値 false
      * @return array
      */
@@ -53,5 +53,5 @@
      * 支払方法一覧の取得.
      *
-     * @param boolean $has_deleted 削除された支払方法も含む場合 true; 初期値 false
+     * @param  boolean $has_deleted 削除された支払方法も含む場合 true; 初期値 false
      * @return array
      */
@@ -74,8 +74,8 @@
      * 購入金額に応じた支払方法を取得する.
      *
-     * @param integer $total 購入金額
-     * @return array 購入金額に応じた支払方法の配列
-     */
-    function getByPrice($total)
+     * @param  integer $total 購入金額
+     * @return array   購入金額に応じた支払方法の配列
+     */
+    public function getByPrice($total)
     {
         // 削除されていない支払方法を取得
@@ -113,5 +113,5 @@
      * 支払方法の登録.
      *
-     * @param array $sqlval
+     * @param  array $sqlval
      * @return void
      */
@@ -141,5 +141,5 @@
      * 支払方法の削除.
      *
-     * @param integer $payment_id 支払方法ID
+     * @param  integer $payment_id 支払方法ID
      * @return void
      */
@@ -154,5 +154,5 @@
      * 支払方法の表示順をひとつ上げる.
      *
-     * @param integer $payment_id 支払方法ID
+     * @param  integer $payment_id 支払方法ID
      * @return void
      */
@@ -166,5 +166,5 @@
      * 支払方法の表示順をひとつ下げる.
      *
-     * @param integer $payment_id 支払方法ID
+     * @param  integer $payment_id 支払方法ID
      * @return void
      */
@@ -180,5 +180,5 @@
      * dtb_payment.memo03 に値が入っている場合は決済モジュールと見なす.
      *
-     * @param integer $payment_id 支払い方法ID
+     * @param  integer $payment_id 支払い方法ID
      * @return boolean 決済モジュールを使用する支払い方法の場合 true
      */
